html, body {
    height: 100%;
    width: 100%;
}

.main {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.progress-bar {
    width: 500px;
    height: 20px;
    background: #bfbfbf;
    border: 1px solid black;
    position: relative;
    overflow: hidden;
    border-radius: 10px;
}

.progress-line {
    position: absolute;
    height: 100%;
    width: 100%;
    left: 0;
    top: 0;
    transform: translateX(-100%);
    background: purple;
}

.progress-wrapper {
    padding: 40px 0;
    position: relative;
}

.progress-percent {
    position: absolute;
    top: 0;
    left: 0;
}